package org.lyj.node;

import org.knime.core.node.NodeCreationContext;
import org.knime.core.node.NodeDialogPane;
import org.knime.core.node.NodeFactory;
import org.knime.core.node.NodeView;

/**
 * <code>NodeFactory</code> for the "ParametersInput" Node.
 * 参数输入节点
 * @author YoGa
 */
public class ParametersInputNodeFactory 
        extends NodeFactory<ParametersInputNodeModel> {

	
	/**
     * {@inheritDoc}
     */
    @Override
    public NodeDialogPane createNodeDialogPane() {
        return new ParametersInputNodeDialog();
    }
	
    
    /**
     * {@inheritDoc}
     */
    @Override
	public ParametersInputNodeModel createNodeModel() {
		return new ParametersInputNodeModel();
	}

    /**
     * {@inheritDoc}
     */
    @Override
    public NodeView<ParametersInputNodeModel> createNodeView(final int viewIndex,
            final ParametersInputNodeModel nodeModel) {
    	return null;
    }
    

	/**
     * {@inheritDoc}
     */
    @Override
    public ParametersInputNodeModel createNodeModel(final NodeCreationContext context) {
        return new ParametersInputNodeModel(context);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public int getNrNodeViews() {
    	return 0;
    }

    
    /**
     * {@inheritDoc}
     */
    @Override
    public boolean hasDialog() {
        return true;
    }

    

}

